#############################################################
#
# This is the makefile for compiling all the hostap 
# applications together in one package.
#
#
#############################################################

HOSTAP_VERSION=0.3.7

HOSTAP_SITE=http://hostap.epitest.fi/releases/

HOSTAP_PKG_DIR=$(PACKAGES_DIR)/hostap-$(FLOPPYFW_VERSION)

$(HOSTAP_PKG_DIR)/etc: 
	mkdir -p $(HOSTAP_PKG_DIR)/etc

hostap:  $(HOSTAP_PKG_DIR)/etc hostap-driver hostapd 
	(cd $(PACKAGES_DIR) ; sh mkpack hostap-$(FLOPPYFW_VERSION) )

# $(MODULES_BASE_DIR)/hostapmods.ffw

hostap-clean: hostap-driver-clean
	rm -rf $(HOSTAP_PKG_DIR)


hostap-dirclean: hostap-driver-dirclean
