$(MODULES_BASE_DIR)/idemods.ffw: 
	-rm -r $(MODULES_BASE_DIR)/ide
	mkdir -p $(MODULES_BASE_DIR)/ide/lib/modules/$(LINUX_VERSION)/kernel/drivers/ide
	mkdir -p $(MODULES_BASE_DIR)/ide/lib/modules/$(LINUX_VERSION)/kernel/drivers/cdrom
	mkdir -p $(MODULES_BASE_DIR)/ide/lib/modules/$(LINUX_VERSION)/kernel/fs/isofs
	mkdir -p $(MODULES_BASE_DIR)/ide/lib/modules/$(LINUX_VERSION)/kernel/lib
	
	#
	# modules.dep
	#
	cp -a $(MODULES_DIR)/lib/modules/$(LINUX_VERSION)/modules.dep $(MODULES_BASE_DIR)/ide/lib/modules/$(LINUX_VERSION)/.
	# cp -a $(MODULES_DIR)/modules.dep ide/lib/modules/$(LINUX_VERSION)/.
	
	#
	# PnP
	#
	cp -a $(MODULES_DIR)/lib/modules/$(LINUX_VERSION)/kernel/drivers/pnp $(MODULES_BASE_DIR)/ide/lib/modules/$(LINUX_VERSION)/kernel/drivers/.
	
	#
	# IDE drivers
	#
	cp -a $(MODULES_DIR)/lib/modules/$(LINUX_VERSION)/kernel/drivers/ide/* $(MODULES_BASE_DIR)/ide/lib/modules/$(LINUX_VERSION)/kernel/drivers/ide/.
	
	#
        # CDROM drivers
	#
	cp -a $(MODULES_DIR)/lib/modules/$(LINUX_VERSION)/kernel/drivers/cdrom/* $(MODULES_BASE_DIR)/ide/lib/modules/$(LINUX_VERSION)/kernel/drivers/cdrom/.
	
	#
	# filesystem drivers
	#
	cp -a $(MODULES_DIR)/lib/modules/$(LINUX_VERSION)/kernel/fs/isofs/* $(MODULES_BASE_DIR)/ide/lib/modules/$(LINUX_VERSION)/kernel/fs/isofs/.
	cp -a $(MODULES_DIR)/lib/modules/$(LINUX_VERSION)/kernel/lib/zlib* $(MODULES_BASE_DIR)/ide/lib/modules/$(LINUX_VERSION)/kernel/lib/.
	
	( cd $(MODULES_BASE_DIR)/ide; tar -cpvf ../ide.tar *; )
	$(LZMAC) $(MODULES_BASE_DIR)/ide.tar > $(MODULES_BASE_DIR)/idemods.ffw
	/usr/bin/bzip2 -9 $(MODULES_BASE_DIR)/ide.tar
	mv $(MODULES_BASE_DIR)/ide.tar.bz2 $(MODULES_BASE_DIR)/idemods.bz2

idemods: $(MODULES_BASE_DIR)/idemods.ffw

idemods-clean:
	-rm -f $(MODULES_BASE_DIR)/idemods.bz2
	-rm -f $(MODULES_BASE_DIR)/idemods.ffw
